%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:			PyAmanith
Summary: 		Python bindings for Amanith
Version:		0.3.35
Release:		2%{?dist}
# Exception is permission to link to Amanith, which is QPL.
License:		GPLv2+ with exceptions
Group:			Development/Tools
Source0:		http://muksuluuri.ath.cx/~skyostil/projects/pyamanith/dist/%{name}-%{version}.tar.gz
URL:			http://unrealvoodoo.org/hiteck/projects/pyamanith/
Patch0:			PyAmanith-0.3.34-buildfix.patch
Patch1:			PyAmanith-0.3.34-headersfix.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		python-devel, amanith-devel, swig

%description
PyAmanith is a Python wrapper for the Amanith (http://www.amanith.org) 2D 
vector graphics library. It strives to offer a pythonic interface to the 
library and make all its features accessible.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# convert to utf-8, fix end of line encoding
for i in README PKG-INFO; do
  sed -i -e 's|\r||g' $i
  iconv -f iso-8859-1 -t utf-8 -o $i{.utf8,}
  mv $i{.utf8,}
done
sed -i -e 's|\r||g' changes/include/amanith/1d/gbsplinecurve1d.swig.h
chmod -x changes/include/amanith/1d/gbsplinecurve1d.swig.h

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT%{python_sitearch}/_amanith.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README PKG-INFO COPYING
%{python_sitearch}/_amanith.so
%{python_sitearch}/amanith.py*
%if 0%{?fedora} >= 9
%{python_sitearch}/*.egg-info
%endif

%changelog
* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.35-2
- include COPYING file
- fix permissions on .so file
- pickup egg-info for f9+

* Thu Nov 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.35-1
- Initial package for Fedora
